#!/usr/bin/perl

use Astro::IRAF::CL;                              

my $iraf=Astro::IRAF::CL->new();                  

@array=();
open(IN, "file.list");
while($line=<IN>){
    chomp $line;
    my $output1=$iraf->imstat("$line fields=midpt lower=INDEF upper=INDEF nclip=3 lsigma=3. usigma=3. binwidth=0.1 format=no cache=yes"); 
    push @array, $output1;

}
close(IN);

$avg=0;
for($i=0; $i<=$#array; $i++){
    $avg=$avg+$array[$i];
    print "$array[$i]\n";
}
$avg=$avg/$#array;

$rms=0;
for($i=0; $i<=$#array; $i++){
    $rms=$rms+($avg-$array[$i])**2;
}
$rms=sqrt($rms/$#array);


printf("avg= %.1f stddev= %.1f\n",$avg,$rms);


