#!/usr/bin/perl

use Astro::IRAF::CL;                              

my $iraf=Astro::IRAF::CL->new(packages=>['digiphot','apphot'],debug=>1);                  

$frame=$ARGV[0];
   
$iraf->imstat("$frame fields=midpt,stddev > out.txt");

open(IN, "out.txt");
while($line=<IN>){
  ($med,$stdev)=split(" ",$line);
}
close(IN);
unlink "out.txt";

$datamin=$med-10*$stdev;
$iraf->daofind("$frame datapar.sigma=$stdev datapar.datamin=$datamin findpar.thresho=20 interac=no verify=no"); 
$iraf->phot("$frame coords=default output=default datapar.datamin=$datamin interac=no verify=no"); 

$lnum=0;
open(IN, "$frame.mag.1");
while($line=<IN>){
    if($line !~ /^\#/){
	$lnum++;
        if($lnum%5==0){
           @list=split(" ",$line);
      	   print "$list[4] $list[5] $list[6]\n";
           $lnum=0;
	}
    }
}
close(IN);
